Subject: Re: ImageMagick
From: "Gerrit P. Haase" <[email-masked]>
To: "Bill McCormick" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 22 Jul 2003 12:01:09 +0200

Hallo Bill,

You wrote:

> I thought I had the jpeg lib from cygwin installed and that I needed
> something more. Your note prompted me to check again and sure enough, I
> didn't have it installed - DUH!! So after installing that - Imagemagick is
> now ready to fly with jpeg.

Fine.

> I DL'd your lib's from your link (note that the files want to save as
> *.tar.tar as opposed to *.tar.bz2,) renamed them and untarzip'd them into
> place.

I always use wget to download over HTTP.

> I run Imagemagick configure again and it looks like things are still
> broken there:

> *snip*
> EXIF              --with-exif=yes               no (failed tests)
> *snip*

> So now I'm trying to rebuild from your sources ...

> Administrator@billhome/usr/local/exif-0.6

> *snip*

> checking for libexif >= 0.5.9... gnome-config: not found
> gnome-config: not found

This is the problem, IIRC you're missing the gnome-common package.

> Package libexif was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libexif.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libexif' found

> configure: error: Library requirements (libexif >= 0.5.9) not met; consider
> adjusting the PKG_CONFIG_PATH environment variable if your libraries are in
> a nonstandard prefix so pkg-config can find them.

> ************

> The same for gexif-0.5.

> So off I go pouring over doc's and such (actually, now I need to work on
> something else for a while and I don't need to chew camera tags at the
> moment.) I'll get back to this before too long though.

> I'll check the PKG_CONFIG_PATH env var - could that be the whole problem?.
> I'm pretty sure I need to use the --enable-shared switch during configure
> and I think that means I neither need nor want --enable-static; True? Is
> there a specific build order I need to follow or maybe I've yet to install
> some other prerequisite?

See comment above.  I don't know exactley what all is needed to get IM
compiled.  I usually do `autoreconf --install --verbose --force`
before configuring to ensure that ltmain.sh and the other autotool
scripts are updated to the most recent versions, then libtool takes
care of building shared libs automatically if the package supports
shared libs (that is ...LIBLDFLAGS = -no-undefined ...), but I
believe, IM has already Cygwin support and it should work out of the
tarball.

Gerrit

P.S.: Please fix your quoting (that means, don't include email
      adresses in the body of emails when posting to public mailing
      lists, thanks)

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/